﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace WebGrid_Bulk_Delete_jQuery_MVC.Controllers
{
    public class HomeController : Controller
    {
        // GET: Home
        public ActionResult Index()
        {
            CustomersEntities entities = new CustomersEntities();
            List<Customer> customers = entities.Customers.ToList();
            return View(customers.ToList());
        }

        [HttpPost]
        public ActionResult DeleteCustomers(int[] customerIds)
        {
            using (CustomersEntities entities = new CustomersEntities())
            {
                foreach (int customerId in customerIds)
                {
                    Customer customer = (from c in entities.Customers
                                         where c.CustomerId == customerId
                                         select c).FirstOrDefault();
                    entities.Customers.Remove(customer);
                }
                entities.SaveChanges();
            }

            return new EmptyResult();
        }
    }
}